<a
  *transloco="let t; scope: 'feature_events'"
  [attr.aria-describedby]="feedItem.id + '-description'"
  [attr.aria-labelledby]="feedItem.id + '-title'"
  [href]="routerLink ?? './events' + feedItem.id"
  [routerLink]="routerLink ?? ['./events', feedItem.id]"
  lang="de"
  tabindex="0"
  translate="yes"
>
  <ion-card class="default-card strong-elevation">
    <img
      *ngIf="imageUrl"
      [height]="feedItem.image?.thumbnail?.height"
      [src]="imageUrl"
      [width]="feedItem.image?.thumbnail?.width"
      alt=""
    />
    <div class="card-content">
      <span
        [id]="feedItem.id + '-title'"
        [innerHTML]="feedItem.title"
        aria-level="2"
        class="card-title content-font"
      >
      </span>
      <ion-card-content
        [id]="feedItem.id + '-description'"
        [lang]="translateService.getActiveLang()"
        translate="no"
      >
        <div class="type-container flex-list-small">
          <lib-general-icon
            [color]="iconColor.secondaryForeground"
            [name]="eventModuleIcon"
            [size]="iconFontSize.large"
            [type]="iconType.materialIconsOutlined"
          ></lib-general-icon>
          <span class="type">{{ t(feedItem.moduleName) }}</span>
        </div>
        <span class="date">{{
          feedItem.startDate | localizedRelativeTimePipe: true
        }}</span>
      </ion-card-content>
    </div>
    @if (feedItem.status !== eventStatus.scheduled) {
      <div
        class="status-content"
        [ngStyle]="feedItem.status | eventStatusStyles"
      >
        <lib-event-status-content
          [status]="feedItem.status"
        ></lib-event-status-content>
      </div>
    }
  </ion-card>
</a>
